Bug 1249028 - Realtime profiles are packed twice
Realtime profiles are packed twice
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jaroslav Škarvada
Tereza Cerna
Depends On: 1228803
  Show dependency treegraph
Reported: 2015-07-31 07:35 EDT by Tereza Cerna
Modified: 2017-10-23 10:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: tuned-2.5.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Previously realtime-virtual-guest and realtime-virtual-host profiles were packaged twice in tuned base package and tuned-profiles-nfv package. Consequence: Various sideeffects could occur. E.g. user could uninstall tuned-profiles-nfv. In such case there were still tuned NFV bits on the machine, the NFV profiles were listed by 'tuned-adm list', but they didn't correctly work, because there wasn't installed configuration for them. Fix: Packaging of profiles were fixed. Result: Now the NFV profiles are delivered only by tuned-profiles-nfv package.
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tereza Cerna 2015-07-31 07:35:32 EDT
Realtime profiles are packed twice. Once in package tuned and second in package tuned-profiles-nfv.

# rpm -q tuned-profiles-nfv
balíček tuned-profiles-nfv není nainstalován

# repoquery -q --whatprovides /usr/lib/tuned/realtime-virtual-host

# tuned-adm list | grep realtime
- realtime-virtual-guest
- realtime-virtual-host

# tuned-adm profile realtime-virtual-host
Cannot load profile 'realtime-virtual-host'.

# tuned-adm profile realtime-virtual-guest
Cannot load profile 'realtime-virtual-guest'.

# ls /usr/lib/tuned/
balanced   latency-performance  powersave               recommend.conf          virtual-guest
desktop    network-latency      realtime-virtual-guest  sap-netweaver           virtual-host
functions  network-throughput   realtime-virtual-host   throughput-performance
Comment 2 Jaroslav Škarvada 2015-07-31 08:11:29 EDT
Fixed in upstream commit:
Comment 7 Fedora Update System 2015-09-03 14:49:49 EDT
tuned-2.5.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-09-03 14:50:43 EDT
tuned-2.5.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.